Download it now!
Bug 78535 - Rotated cells show strange borders
Summary: Rotated cells show strange borders
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
4.2.1.1 release
Hardware: Other All
: medium normal
Assignee: Kohei Yoshida
URL:
Whiteboard: target:4.3.0 target:4.2.5
Keywords: regression
Depends on:
Blocks:
 
Reported: 2014-05-10 17:41 UTC by OfficeUser
Modified: 2014-05-12 11:48 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments
screenshot (204.83 KB, image/png)
2014-05-10 17:42 UTC, OfficeUser
Details

Note You need to log in before you can comment on or make changes to this bug.
Description OfficeUser 2014-05-10 17:41:52 UTC
Sorry guys,

but "release" 4.2.4.2 is a shame!

After trying 3 minutes I found two regressions.

The first I found is filed in Bug 78534.

The second one...

- Open a spreadsheet
- Enter any character into a cell
- Apply rotation to this cell using the wheel in the sidebar

Result: Strange borders are applied to the cell. (See attached screenshot.)
Comment 1 OfficeUser 2014-05-10 17:42:19 UTC
Created attachment 98825 [details]
screenshot
Comment 2 Cor Nouws 2014-05-10 19:44:03 UTC
Hi there

thanks a lot for reporting!

I can confirm the behaviour.
A pity that you weren't able to report/find this earlier: I see the problem for the first time in 4.2.1.1..
But thanks of course that you did report it :)

Set as NEW
Cor
Comment 3 Kohei Yoshida 2014-05-11 23:52:03 UTC
So much for beta testing if nobody tests it early.
Comment 4 Commit Notification 2014-05-11 23:54:08 UTC
Kohei Yoshida committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=224b235971a01971de626d38ccc8506d0a55771b

fdo#78535: Don't process borders of 0 width.



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 5 Kohei Yoshida 2014-05-12 00:17:15 UTC
4.2 backport: https://gerrit.libreoffice.org/9323
Comment 6 Commit Notification 2014-05-12 10:19:19 UTC
Kohei Yoshida committed a patch related to this issue.
It has been pushed to "libreoffice-4-2":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=b30c08e3dd5e1c20923f66684a893a9c2ede6637&h=libreoffice-4-2

fdo#78535: Don't process borders of 0 width.


It will be available in LibreOffice 4.2.5.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 7 Kohei Yoshida 2014-05-12 11:48:43 UTC
Fixed.